﻿@using TestRadyaLab.Models;

@model TestRadyaLab.Models.Rumah
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    string currentAction = (string)ViewContext.RouteData.Values["action"];
    List<SelectListItem> listItems = new List<SelectListItem>();
    listItems.Add(new SelectListItem
    {
        Text = "36",
        Value = "36"
    });
    listItems.Add(new SelectListItem
    {
        Text = "45",
        Value = "45"
    });
    listItems.Add(new SelectListItem
    {
        Text = "72",
        Value = "72"
    });
}
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false&key=AIzaSyBfPWT55ybzPawdPYh58Y85LICkYHQe27U&libraries=places&callback=initMap" async defer></script>
<h2>@ViewBag.Title</h2>
@using (@Html.BeginForm(currentAction, "DataRumah", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.Kecamtan)
    @Html.HiddenFor(model => model.Kota)
    @Html.HiddenFor(model => model.Provinsi)
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label col-md-2">Tipe</label>
                <div class="col-md-10">
                    @Html.DropDownListFor(model => model.Tipe, listItems, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Alamat</label>
                <div class="col-md-10">
                    @Html.TextBoxFor(model => model.Alamat, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Latitude</label>
                <div class="col-md-10">
                    @Html.TextBoxFor(model => model.Lat, new { @class = "form-control", @readonly = "readonly" })
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-2">Longitude</label>
                <div class="col-md-10">
                    @Html.TextBoxFor(model => model.Long, new { @class = "form-control", @readonly = "readonly" })
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <button type="submit" class="btn btn-success">Submit</button>
                    <a href="@Url.Action("index")" class="btn btn-link">Cancel</a>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div id="map" style="width: 100%; height: 300px; margin-bottom: 10px"></div>
        </div>
    </div>
}

@section scripts{
    <script type="text/javascript">
    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 10,
            @if ((Model.Lat != null && Model.Lat != "") && (Model.Long != null && Model.Long != ""))
                {
                    <text>
            center: new google.maps.LatLng(@Model.Lat, @Model.Long),
            </text>
                }
                else
                {
                <text>
            center: new google.maps.LatLng(-6.9170227, 107.63337000000001),
            </text>
            }
            mapTypeId: google.maps.MapTypeId.ROADMAP
        });
        var infowindow = new google.maps.InfoWindow();
        var marker = new google.maps.Marker({
            map: map,
            @if ((Model.Lat != null && Model.Lat != "") && (Model.Long != null && Model.Long != ""))
                {
                    <text>
            position: new google.maps.LatLng(@Model.Lat, @Model.Long),
            </text>
                }
            anchorPoint: new google.maps.Point(0, -29)
        });
        var autocomplete = new google.maps.places.Autocomplete((document.getElementById('Alamat')), { types: ['geocode'] });
        autocomplete.addListener('place_changed', function () {
            var place = autocomplete.getPlace();
            //ambil lat, long
            $('#Lat').val(place.geometry.location.lat());
            $('#Long').val(place.geometry.location.lng());
            if(place.address_components.length > 0)
            {
                //provinsi
                console.log(place.address_components[place.address_components.length - 2])
                if(place.address_components[place.address_components.length - 2] != null)
                    $('#Provinsi').val(place.address_components[place.address_components.length - 2].long_name);
                //kota
                console.log(place.address_components[place.address_components.length - 3])
                if(place.address_components[place.address_components.length - 3] != null)
                    $('#Kota').val(place.address_components[place.address_components.length - 3].long_name);
                //kecamtan
                console.log(place.address_components[place.address_components.length - 4])
                if(place.address_components[place.address_components.length - 4] != null)
                    $('#Kecamtan').val(place.address_components[place.address_components.length - 4].long_name);
            }
            console.log(place)
            if (place.geometry) {
                //fokus map
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                }
                //marker.setIcon(({
                //    url: place.icon,
                //    size: new google.maps.Size(71, 71),
                //    origin: new google.maps.Point(0, 0),
                //    anchor: new google.maps.Point(17, 34),
                //    scaledSize: new google.maps.Size(35, 35)
                //}));
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
            }
        });
    }
    $(document).ready(function () {

    })
    </script>
}